[FlexJS] flex-asjs build failing

classic Classic list List threaded Threaded
12 messages Options
Reply | Threaded
Open this post in threaded view
|

[FlexJS] flex-asjs build failing

yishayw
I’m getting the below error when building from scratch using maven. Any ideas?

For what it’s worth I couldn’t find
com.adobe:fontkit:jar:1.0
in
https://repository.apache.org/content/repositories/releases
Either.

[ERROR] Failed to execute goal org.codehaus.mojo:exec-maven-plugin:1.5.0:java (compile-font) on project Fonts: Execution compile-font of goal org.codehaus.mojo:exec-maven-plugin:1.5.0:java failed: Plugin org.codehaus.mojo:exec-maven-plugin:1.5.0 or one of its dependencies could not be resolved: Failure to find com.adobe:fontkit:jar:1.0 in https://repository.apache.org/content/repositories/releases was cached in the local repository, resolution will not be reattempted until the update interval of apache-plugins-release has elapsed or updates are forced -> [Help 1]
Reply | Threaded
Open this post in threaded view
|

AW: [FlexJS] flex-asjs build failing

Christofer Dutz
Fontkit is provided by the mavenizer. It's not available in any repo.

Make sure you see the ascii art flex logo in your Maven build to ensure the mavenizer is active.

Chris



Von meinem Samsung Galaxy Smartphone gesendet.


-------- Ursprüngliche Nachricht --------
Von: Yishay Weiss <[hidden email]>
Datum: 15.03.17 03:53 (GMT-05:00)
An: dev <[hidden email]>
Betreff: [FlexJS] flex-asjs build failing

I’m getting the below error when building from scratch using maven. Any ideas?

For what it’s worth I couldn’t find
com.adobe:fontkit:jar:1.0
in
https://repository.apache.org/content/repositories/releases
Either.

[ERROR] Failed to execute goal org.codehaus.mojo:exec-maven-plugin:1.5.0:java (compile-font) on project Fonts: Execution compile-font of goal org.codehaus.mojo:exec-maven-plugin:1.5.0:java failed: Plugin org.codehaus.mojo:exec-maven-plugin:1.5.0 or one of its dependencies could not be resolved: Failure to find com.adobe:fontkit:jar:1.0 in https://repository.apache.org/content/repositories/releases was cached in the local repository, resolution will not be reattempted until the update interval of apache-plugins-release has elapsed or updates are forced -> [Help 1]
Reply | Threaded
Open this post in threaded view
|

Re: AW: [FlexJS] flex-asjs build failing

yishayw
Hi Chris,

The art is there so I guess the mavenizer is active. It looks like there's a missing pom [1]?

[1] https://paste.apache.org/9gY2
Reply | Threaded
Open this post in threaded view
|

AW: AW: [FlexJS] flex-asjs build failing

Christofer Dutz
Run the build with the "-X" flag to output more information and paste that please. Without it, Maven hides the exception.

Chris



Von meinem Samsung Galaxy Smartphone gesendet.


-------- Ursprüngliche Nachricht --------
Von: yishayw <[hidden email]>
Datum: 16.03.17 10:56 (GMT-05:00)
An: [hidden email]
Betreff: Re: AW: [FlexJS] flex-asjs build failing

Hi Chris,

The art is there so I guess the mavenizer is active. It looks like there's a
missing pom [1]?

[1] https://paste.apache.org/9gY2



--
View this message in context: http://apache-flex-development.2333347.n4.nabble.com/FlexJS-flex-asjs-build-failing-tp60461p60515.html
Sent from the Apache Flex Development mailing list archive at Nabble.com.
Reply | Threaded
Open this post in threaded view
|

Re: AW: AW: [FlexJS] flex-asjs build failing

yishayw
Here's [1] what -X flag shows.
This [3] led my to download [2] place  it under JAVA_HOME/lib/security, but that didn't help.

[1] https://paste.apache.org/AMxg
[2] http://www.oracle.com/technetwork/java/javase/downloads/jce8-download-2133166.html
[3] https://paste.apache.org/CvJx
Reply | Threaded
Open this post in threaded view
|

Re: AW: AW: [FlexJS] flex-asjs build failing

yishayw
Does anyone have ideas about this? I can't build the framework in Maven...
Reply | Threaded
Open this post in threaded view
|

Re: AW: AW: [FlexJS] flex-asjs build failing

Alex Harui


On 4/4/17, 12:38 AM, "yishayw" <[hidden email]> wrote:

>Does anyone have ideas about this? I can't build the framework in Maven...

Don't know for sure.  What Maven version are you running?  I think older
ones don't quite know how to bring down a mavenized Flex SDK.

My repo cache has the following for font kit:

com/adobe//fontkit
com/adobe//fontkit/1.0
com/adobe//fontkit/1.0/fontkit-1.0.jar
com/adobe//fontkit/1.0/fontkit-1.0.pom
com/adobe//fontkit/afe
com/adobe//fontkit/afe/1.0
com/adobe//fontkit/afe/1.0/afe-1.0.jar
com/adobe//fontkit/afe/1.0/afe-1.0.pom
com/adobe//fontkit/aglj40
com/adobe//fontkit/aglj40/1.0
com/adobe//fontkit/aglj40/1.0/aglj40-1.0.jar
com/adobe//fontkit/aglj40/1.0/aglj40-1.0.pom
com/adobe//fontkit/rideau
com/adobe//fontkit/rideau/1.0
com/adobe//fontkit/rideau/1.0/rideau-1.0.jar
com/adobe//fontkit/rideau/1.0/rideau-1.0.pom


You might be able to piece that together as well.

HTH,
-Alex

Reply | Threaded
Open this post in threaded view
|

Re: AW: AW: [FlexJS] flex-asjs build failing

yishayw
I don't think it's the Maven version because I only downloaded it a few weeks ago. I'm trying to get a dev environment on my new computer. At least I got the Ant build to work. Thanks.
Reply | Threaded
Open this post in threaded view
|

Re: AW: AW: [FlexJS] flex-asjs build failing

yishayw
I think I got passed the fontkit problem by copying the contents of

%JAVA_HOME%/../jre/lib/security
to
%JAVA_HOME%/lib/security

(Copying it to %JAVA_HOME%/jre/lib/security didn't make a different to me.) Apparently there's a bunch of files other than local_policy.jar and US_export_policy.jar that need to be there.

Now rat.txt is telling me that templates/swfobject/swfobject.js has an unapproved license. This is strange because I don't even see it in the file system, so I'm not sure how to fix that.
Reply | Threaded
Open this post in threaded view
|

Re: AW: AW: [FlexJS] flex-asjs build failing

yishayw
Ignore this mail. Fontkit download is still failing.

yishayw wrote
I think I got passed the fontkit problem by copying the contents of

%JAVA_HOME%/../jre/lib/security
to
%JAVA_HOME%/lib/security

(Copying it to %JAVA_HOME%/jre/lib/security didn't make a different to me.) Apparently there's a bunch of files other than local_policy.jar and US_export_policy.jar that need to be there.

Now rat.txt is telling me that templates/swfobject/swfobject.js has an unapproved license. This is strange because I don't even see it in the file system, so I'm not sure how to fix that.
Reply | Threaded
Open this post in threaded view
|

Re: AW: AW: [FlexJS] flex-asjs build failing

yishayw
Tried again, Maven build still failing on this issue.
Reply | Threaded
Open this post in threaded view
|

Re: AW: AW: [FlexJS] flex-asjs build failing

yishayw
Chris fixed it on my machine by commenting out of framework/frameworks/pom.xml the <module>fontsrc</module> element.